--[[ 

	Simple InspectFrame Improvements
	Temporarly binds your "I" key to "Inspect" and adds guild ranks
	Martin Karer / Sezz, 2010

	Changelog:
	2010-02-09:
		[*] Code Cleanup

	2008-00-00:
		[+] Initial Release

--]]

BINDING_HEADER_SEZZ = "s:Bindings"
BINDING_NAME_INSPECT = "Inspect Target"

local addon = CreateFrame("Frame")
addon:RegisterEvent("PLAYER_LOGIN");
addon:SetScript("OnEvent", function(self, event, ...)
	-- Set Key Binding
	SetBinding("I", "INSPECT");

	-- Load Inspect UI, Register Event
	if (not InspectPaperDollFrame) then
		InspectFrame_LoadUI()
	end

	-- Player Title Stuff
	hooksecurefunc("InspectPaperDollFrame_SetLevel", function()
		-- Set Player Title
		local sGuildName, sGuildTitle, _ = GetGuildInfo("target")
		if (sGuildName ~= nil and sGuildTitle ~= nil) then
			InspectTitleText:SetText(format(TEXT(GUILD_TITLE_TEMPLATE), sGuildTitle, sGuildName))
			InspectTitleText:Show()
		else
			InspectTitleText:Hide()
		end
	end);

	self:UnregisterEvent(event);
	self:SetScript("OnEvent", nil);
end);
